Endpoint
POST /v3/universal-ai (sync)
Model string pattern: image/object_detection/{provider}[/{model}]
Input
| Field | Type | Required | Description |
|---|---|---|---|
| file | file_input | Yes | Image file ID from /v3/upload or direct file URL |
Output
| Field | Type | Required | Description |
|---|---|---|---|
| items | array[object] | No | |
| label | string | Yes | |
| confidence | float | Yes | |
| x_min | float | Yes | |
| x_max | float | Yes | |
| y_min | float | Yes | |
| y_max | float | Yes |
Available Providers
| Provider | Model String | Price |
|---|---|---|
| amazon | image/object_detection/amazon | $1 per 1,000 files |
| api4ai | image/object_detection/api4ai | $0.5 per 1,000 files |
| clarifai | image/object_detection/clarifai | $2 per 1,000 files |
| clarifai (general-image-detection) | image/object_detection/clarifai/general-image-detection | $2 per 1,000 files |
image/object_detection/google | $2.25 per 1,000 files | |
| microsoft | image/object_detection/microsoft | $1 per 1,000 files |
| sentisight | image/object_detection/sentisight | $0.75 per 1,000 files |